#!/usr/bin/perl

use strict;
use MN 1.0;

my $mne = new MN::Engine();

my $cgi = new MN::CGI();

my $cond = "";
if ($cgi->{tmpl})
{
    $cond = "template = '$cgi->{tmpl}'";
}
my @nnews = MN::News->getObjects($cond, "date desc, crtime desc", 20);

print $cgi->headerCodeRSS($cgi->{tmpl});

my $news;
foreach $news (@nnews)
{
    print $news->getCodeRSS();
}
print $cgi->footerCodeRSS();
