#!/usr/bin/perl

use strict;
use MN 1.0;

my $mne = new MN::Engine();

my $cgi = new MN::CGI();

my $file = $cgi->{file} || "index.html";
my $line;
if (!-e $file)
{
    $cgi->error("File %s not found", $file);
}
open(FILE, $file);
my $title = "";
while ($line = <FILE>)
{
    if ($line =~ /<title>MyNews &gt; ([^<]+)<\/title>/i)
    {
	$title = $1;
    }
    elsif ($line =~ /<body[^>]*>/i)
    {
	print $cgi->headerCode($title);
	last;
    }
}
while ($line = <FILE>)
{
    if ($line =~ /<\/body>/i)
    {
	last;
    }
    $line =~ s/href=([\"\'])([^\.][^\"]+)\"/href=$1index\.cgi?file=$2\"/gi;
    $line =~ s/index\.cgi\?file\=http/http/gi;
    print $line;
}
close(FILE);
print $cgi->footerCode();
